version: '3.5'

services:
  nginx:
    hostname: nginx
    image: registry.edoc2.com:5000/edoc2v5/openresty:20240514151630
    ports:
      - target: 80
        published: 80
        mode: host
#      - target: 443
#        published: 443
#        mode: host
    environment:
      - INBIZ=false
      - ECM=true
      - WEBOFFICE_PROTO=http
      #- CONTAINER_PLATFORM=kubernetes
      - DEVCLOUDENABLE=false
      - DOCFLOW=false
      - EDRMSV6=false
      - KM=false
#      - SSL=true
#      - DOMAIN_NAME=ab.edoc2.com
#    volumes:
#      - /home/edoc2/macrowing/edoc2v5/data:/etc/nginx/cert
    labels:
      "type": "0"
    deploy:
      placement:
        constraints:
          - node.labels.nodetype == InDrive
      mode: global
      restart_policy:
        condition: on-failure
    networks:
      - edoc2
    healthcheck:
      test: bash /opt/nginx/check.sh
      interval: 20s
      timeout: 10s
      retries: 3
    logging:
      driver: "json-file"
      options:
        max-size: "2000k"
        max-file: "10"
networks:
  edoc2:
    external: true
    name: macrowing

